Status: Closed Start date: 07 Jun 2012

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: Manual/documentation Estimated time: 5.00 hours

Target version: CoCoA-5.1.0 Easter14 Spent time: 5.00 hours

Description

Make makefile target for texdoc.

Check that it is created nicely (quotes, dollars, ...)

History

#1 - 07 Jun 2012 20:22 - Anna Maria Bigatti

- % Done changed from 0 to 30

#2 - 08 Jun 2012 17:11 - Anna Maria Bigatti

revived the old code and removed (for the moment) the inclusion of the horribly obsolete chapters/sections/tutorial.

fixed casing in some broken link (such as Image/image)

observed that we can use " (quotes) in examples with no problems in the conversion into TeX and into html: good!!!!!! much easier to write and

mantain it!

published in cocoa home page

#3 - 05 Jul 2012 10:44 - Anna Maria Bigatti

- Status changed from New to In Progress

#4 - 16 Jan 2014 16:31 - John Abbott

I've just built the CoCoA-5 LaTeX-PDF documentation; there are several minor problems.

JAA thinks the fn names in the "see also" section should be in tt font

should references to args in the description of a fn be in <CODE> or in <tt>; currently there is a mixture (and <CODE> produces a result

between double quotes when called from inside a running C5)

there are LOTS of undefined references

I had wanted to write 2^31 in the description of a fn, but this caused LaTeX to fail with an error (about missing $s)

#5 - 16 Jan 2014 16:38 - Anna Maria Bigatti

I had wanted to write 2^31 in the description of a fn, but this caused LaTeX to fail with an error (about missing $s)

 

The tag for that is <formula>2^{31}<formula>
#6 - 02 Apr 2014 17:33 - Anna Maria Bigatti

- Target version set to CoCoA-5.1.0 Easter14

#7 - 14 Apr 2014 09:06 - Anna Maria Bigatti

- Status changed from In Progress to Feedback

- % Done changed from 30 to 90

Now the make target is done and works well.  Moreover generating the TeX documentation is actually useful for checking missing or mistyped

references.

The documentation is still incomplete (so there are missing references), but that is not a specific problem with this issue.  Close?

#8 - 14 Apr 2014 09:19 - Anna Maria Bigatti

- Estimated time set to 5.00 h

#9 - 14 May 2014 16:56 - John Abbott

- Status changed from Feedback to Closed

- % Done changed from 90 to 100

It works much better now; still working on the content...
